* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    list-style-type: none;
    font-family: sans-serif;
    scroll-behavior: smooth;
}

a {
    text-decoration: none;
    color: var(--text-color);
}

body {
    display: flex;
    flex-direction: column;
    align-items: center;
    background-color: var(--bg-color);
}

:root,
    :root.default {
        --bg-color: #2B2B2B;
        --opaque-color: rgba(0, 0, 0, 0.4);
        --h1-color: #EE9944;
        --CTA-color: #FF972F;
        --text-color: #FFFFFF;
        --subtle-color: #adadad;
        --card-color: #2e2d37;
        --outline-color: #000000;
        --star-color: #6d6d6d;
        --rating-color: firebrick;
}

header {
    position: absolute;
    width: 100%;
    height: 90px;
    padding: 5px 20px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    font-size: 35px;
    color: var(--text-color);
    background-color: var(--opaque-color);
}
#controls ul{
    display: flex;
    gap: 0.5em;
}
footer {
    width: 100%;
    height: 40px;
    position: static;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 14px;
    color: var(--text-color);
    background-color: var(--opaque-color);
}
footer a {
    color: var(--subtle-color);
    text-decoration: underline;
}
footer a:hover, footer a:focus, footer a:active {
    color: var(--CTA-color);
}
footer a:focus {
    border-radius: 15px;
    outline: 2px solid var(--text-color);
    padding: 5px;
}

main {
    width: 100%;
    max-width: 2200px;
    padding: 90px 0 20px 0;
    display: flex;
    flex-direction: column;
}

#info {
    display: flex;
    flex-direction: column;
    align-items: center;
    color: var(--text-color);
    text-align: center;
    padding: 1em 0.8em;
}
#info p {
    margin: 0 0 1em 0;
}
#infoTextWrapper {
    width: 100%;
    max-width: 450px;
}
h1 {
    font-size: 40px;
    margin: 0 0 0.5em 0;
}

#display {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1.2em;
}

.cardElement {
    width: 350px;
    height: 100px;
    position: relative;
    color: var(--text-color);
    outline: 1px solid var(--outline-color);
    background-color: var(--card-color);
    border-radius: 15px;
}

.favBtn {
    position: absolute;
    font-size: 30px;
    top: -10px;
    left: -10px;
    color: var(--star-color);
    transform: rotate(-12deg);
}

.heroImg {
    width: 100%;
    height: auto;
    background-size: cover;
    background-position: center;
    border-radius: 15px 0 0 15px ;
}

.cardContent {
    width: 100%;
    padding: 10px 10px;
}
.cardContent p {
    padding: 5px 0 0 0;
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
}
.cardContent h3 {
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
}
.cardContent span {
    position: absolute;
}
.rating {
    text-align: left;
    top: 5px;
    right: 15px;
}
.rating:before {
    position: relative;
    left: -2px;
    bottom: 2px;
    font-family: "Font Awesome 6 Free";
    content: "\f005";
    font-weight: 900;
    color: var(--rating-color);
}
.address {
    bottom: 2px;
    padding: 2px 5px;
    border-radius: 15px;
    background-color: var(--h1-color);
    color: var(--outline-color);
    font-weight: 500;
}
.linkBtn {
    display: grid;
    grid-template-columns: 1fr 2fr 0.5fr;
    width: 100%;
    height: 100%;
}
.iconWrapper {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 30px;
}

.cardElement:hover, .favBtn:hover {
    transform: scale(1.025);
    cursor: pointer;
}
.cardElement:hover, .linkBtn:focus, .cardElement:active {
    outline: 2px solid var(--CTA-color);
    border-radius: 15px;
}
.cardElement:hover .iconWrapper, .linkBtn:focus .iconWrapper, .cardElement:active .iconWrapper {
    margin-left: 5px;
}

/* --------------------- iPad Version -----------------------*/ 
@media screen and (width >= 725px) {
    #info {
        padding: 1em 2.5em;
    }
    #info p {
        margin: 0 0 1em 0;
        font-size: 25px;
    }
    h1 {
        font-size: 60px;
    }
    .cardElement {
        width: 500px;
        height: 150px;
    }
    .cardContent p {
        -webkit-line-clamp: 4;
    }
    .cardContent h3 {
        font-size: 25px;
    }
    .iconWrapper {
        font-size: 40px;
    }
    .favBtn {
        font-size: 40px;
    }
    .rating {
        top: 15px;
        font-size: 20px;
    }
}
/* --------------------- Laptop Version -----------------------*/ 
@media screen and (width >= 1200px) {
    body {
        padding: 0 0 50px 0;
        overflow: hidden;
    }
    main {
        height: 100dvh;
        display: grid;
        grid-template-columns: 1fr 1fr;
        overflow: hidden;
        padding: 90px 0 40px 0;
    }
    header {
        position: fixed;
    }
    #display {
        padding: 1em 2em;
        width: max-content;
    }
    #info {
        display: flex;
        flex-direction: column;
        align-items: center;
    }
    #list {
        overflow-x: visible;
        overflow-y: scroll;
        width: 100%;
        display: flex;
        flex-direction: column;
        align-items: flex-end;
    }
    .cardElement {
        width: 550px;
        height: 150px;
    }
    .cardContent h3 {
        font-size: 30px;
    }
    .cardContent p {
        font-size: 18px;
        -webkit-line-clamp: 4;
    }
    .iconWrapper {
        font-size: 50px;
    }
    .favBtn {
        font-size: 45px;
    }
    .rating {
        top: 20px;
        font-size: 20px;
    }
    .address {
        bottom: -10px;
    }
    h1 {
        font-size: 80px;
        text-align: center;
    }
    footer {
        position: fixed;
        bottom: 0;
    }
}
/* --------------------- Desktop Version -----------------------*/ 
@media screen and (width >= 1700px) {
    main {
        grid-template-columns: 1fr 2fr;
    }
    #display {
        padding: 2em 4em;
    }

    .cardElement {
        width: 1000px;
        height: 250px;
    }
    .cardContent h3 {
        font-size: 40px;
    }
    .cardContent p {
        font-size: 22px;
        -webkit-line-clamp: 5;
    }
    .iconWrapper {
        font-size: 60px;
        padding: 0 20px 0 0;
        justify-content: flex-end;
    }
    .favBtn {
        font-size: 60px;
    }
    .rating {
        top: 20px;
        font-size: 25px;
    }
    .rating:before {
        left: -5px;
    }
    .address {
        padding: 2px 15px;
        bottom: 10px;
        font-size: 25px;
    }
    h1 {
        font-size: 100px;
    }

}